# Uses of Class
com.github.lgooddatepicker.components.TimePickerSettings

Packages that use TimePickerSettings
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.tableeditors
com.github.lgooddatepicker.zinternaltools

## Uses of TimePickerSettings in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return TimePickerSettings
Modifier and Type
Method
Description
`TimePickerSettings`
TimePicker.`getSettings()`
getSettings, This returns the time picker settings instance.
Constructors in com.github.lgooddatepicker.components with parameters of type TimePickerSettings
Modifier
Constructor
Description
``
`DateTimePicker(DatePickerSettings datePickerSettingsOrNull, TimePickerSettings timePickerSettingsOrNull)`
Constructor with custom settings.
``
`TimePicker(TimePickerSettings settings)`
Constructor with Custom Settings, Create a time picker instance using the supplied time picker settings.

## Uses of TimePickerSettings in com.github.lgooddatepicker.tableeditors

Methods in com.github.lgooddatepicker.tableeditors that return TimePickerSettings
Modifier and Type
Method
Description
`TimePickerSettings`
DateTimeTableEditor.`getTimePickerSettings()`
getTimePickerSettings, Returns the TimePicker settings for the DateTimePicker used by this class.
`TimePickerSettings`
TimeTableEditor.`getTimePickerSettings()`
getTimePickerSettings, Returns the TimePickerSettings for the TimePicker being used by this class.

## Uses of TimePickerSettings in com.github.lgooddatepicker.zinternaltools

Constructors in com.github.lgooddatepicker.zinternaltools with parameters of type TimePickerSettings
Modifier
Constructor
Description
``
`TimeMenuPanel(TimePicker parentTimePicker, TimePickerSettings settings)`